Send a message
POST /api/member/chats/{chatId}/messages. Send a message. Headless LMS Chats API reference.
For a participant while the chat is open and not locked, and nobody in it has blocked the other (403 otherwise). A request's sender cannot send more until it is accepted.
Path Parameters
chatId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/chats/string/messages" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "chatId": "string", "orgUserId": "string", "body": "string", "replyToId": "string", "editedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sender": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "attachments": [ { "assetId": "string", "url": "string" } ], "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}